[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Fwd: [rt.cpan.org #28132] Problem when building

On Fri, Dec 30, 2011 at 18:58, gregor herrmann <gregoa@debian.org> wrote:

> I've updated the package in git back in October, but I have to admit
> that I gave up. Notes in d/changelog:
> +  WAITS-FOR: libcdio-dev 0.82
> +  ("You need to have libcdio 0.82 or greater installed. (You have 0.81).")
> +
> +  TODO:
> +  - patches!
> +  - do we still need to remove files (cf. debian/rules)
> The first one is "solved" in experimental, but my real problem was
> that I didn't understand half of the patches and so didn't know what
> to do about them.
> If someone, either their author (hinthint :)) or some other brave
> soul, could dive into this package ...

I did some archaeology. The patch mentioned in this bug is no longer
needed, it was included verbatim into upstream. There are some other
patches, and it seems that I've never forwarded them to upstream (bad

Scratch that, I spent a couple of hours trying to understand all this,
and forgot that I had actually forwarded all the patches upstream, but
they got lost on the way. I didn't reply a mail in the bug and then
forgot the issue. The bug was finally closed a few months ago:

So, 01 and 05 were ack'ed and applied upstream. 03 seemed to be acked,
but I think he only applied the Build.PL changes that are not relevant
anymore. So, 02, 03, and 04 still apply with minor changes, and I
assume they are still relevant then.

Not the problem is that 0.83 is in experimental, something by
cowbuilder does not like too much...

Reply to: